Skip to navigation

Update Inventory Settings for Location

Update inventory settings for items at a location.

Limits

  • Limit of 2000 items for payload length.

Authentication

X-Auth-Tokenstring

OAuth scopes

UI NamePermissionParameter
Store Inventoryread-onlystore_inventory_read_only
Store Inventorymodifystore_inventory

Authentication header

HeaderArgumentDescription
X-Auth-Tokenaccess_tokenFor more about API accounts that generate access_tokens, see API Accounts and OAuth Scopes.

Further reading

For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.

For more about BigCommerce OAuth scopes, see API Accounts and OAuth Scopes.

For a list of API status codes, see API Status Codes.

Path parameters

location_idintegerRequired
Unique identifier for a location.
store_hashstringRequired
Permanent ID of the BigCommerce store.

Headers

AcceptstringRequiredDefaults to application/json

The MIME type of the response body.

Request

This endpoint expects an object.
settingslist of objectsRequired

Response

Request has been successfully processed.
transaction_idstringOptional
Unique identifier of performed action.

Errors

422
Unprocessable Entity Error